Bug 1551503 - Add Donut char to Dashboard does not work
Summary: Add Donut char to Dashboard does not work
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 10:11 UTC by Simon Reber
Modified: 2018-04-30 05:01 UTC (History)
5 users (show)

(edit)
Cause: The "Add Donut char to Dashboard" button is always visible, even when the app doesn't include a dashboard.

Consequence: Clicking on the button doesn't do anything.

Fix: Remove the button.

Result: The feature is not available, as it should be.
Clone Of:
(edit)
Last Closed: 2018-04-30 05:00:57 UTC


Attachments (Terms of Use)
Screenshot (64.35 KB, image/png)
2018-03-05 10:11 UTC, Simon Reber
no flags Details
"Add Donut char to Dashboard" button is removed from UI (131.36 KB, image/png)
2018-04-17 02:38 UTC, Junqi Zhao
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1235 None None None 2018-04-30 05:01 UTC

Description Simon Reber 2018-03-05 10:11:53 UTC
Created attachment 1404245 [details]
Screenshot

Description of problem:

When entering "Open Java Console" for a Java based application running on Red Hat OpenShift Container Platform, the button "Add Donut char to Dashboard" does not do anything.

Version-Release number of selected component (if applicable):

 - atomic-openshift-3.5.5.31.47-1.git.0.25d535c.el7.x86_64

How reproducible:

 - Always

Steps to Reproduce:
1. Open "Open Java Console"
2. Navigate to "java.lang"
3. Choose Memory
4. Click "Add Donut char to Dashboard" on "Heap Memory usage"

Actual results:

- Nothing is happening

Expected results:

- Something should happen and one would expect a chart to come-up somewhere.

Additional info:

See screenshot attached

Comment 1 Alexandre Kieling 2018-03-12 22:06:02 UTC
The Java console doesn't include the hawtio-dashboard, therefore it doesn't make sense showing buttons that add UI components to the dashboard and the fix to this issue is the removal of the "Add Donut char to Dashboard" button.

Pull request:
https://github.com/openshift/origin-web-console/pull/2891

Comment 3 Junqi Zhao 2018-04-17 02:38:01 UTC
"Add Donut char to Dashboard" button is removed from UI,see the attached picture

openshift-jvm version:  1.2.7

# openshift version
openshift v3.5.5.31.67
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Comment 4 Junqi Zhao 2018-04-17 02:38 UTC
Created attachment 1422872 [details]
"Add Donut char to Dashboard" button is removed from UI

Comment 6 Junqi Zhao 2018-04-23 00:48:41 UTC
Set to VERIFIED as per Comment 3

Comment 9 errata-xmlrpc 2018-04-30 05:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1235


Note You need to log in before you can comment on or make changes to this bug.